%define anolis_release 1
%global _description %{expand:
Versioneer is a tool to automatically update version strings (in setup.py and
the conventional 'from PROJECT import _version' pattern) by asking your
version-control system about the current tree.}
 
Name:           python-versioneer
Version:        0.29
Release:        %{anolis_release}%{?dist}
Summary:        Easy VCS-based management of project version strings
 
License:        Unlicense
URL:            https://github.com/warner/python-versioneer
Source0:        %{pypi_source versioneer}
 
BuildArch:      noarch
 
BuildRequires:  python3-devel
 
%description    %_description
%package -n     python3-versioneer
Summary:        %{summary}
 
%description -n python3-versioneer %_description
%pyproject_extras_subpkg -n python3-versioneer toml
 
%prep
%autosetup -n versioneer-%{version}
 
%generate_buildrequires
%pyproject_buildrequires -x toml
 
%build
%pyproject_wheel
%install
%pyproject_install
# Remove the unwanted shebang from the amalgamated versioneer.py file:
sed -r -i '1{/^#!/d}' %{buildroot}%{python3_sitelib}/versioneer.py

 
%check
# Based on tox.ini; but we do not use tox, because tox.ini has too many linting
# tests and other unwanted dependencies.
%{python3} setup.py make_versioneer
%{python3} -m unittest discover test
 
%files -n python3-versioneer
%doc README.md
%doc details.md
%{_bindir}/versioneer
/usr/lib/python3.11/*
 
%changelog
* Fri Jun 20 2025 yangcheng <yc02267530@alibaba-inc.com> - 0.29-1
- init package from upstream
